# Index

- [About](#about)
- [Technologies](#technologies)
- [How to use](#how-to-use)
- [Pre-commit hook](#pre-commit)

<br />
<a id="about"></a>

## 📑 About

<strong>Component Library</strong> is a react component.

<br />
<a id="technologies"></a>

## 🚀 Technologies

The project is made with:

- [React](https://reactjs.org/)
- [TypeScript](https://www.typescriptlang.org/)
- [MUI](https://mui.com/material-ui/guides/interoperability/)
- [Emotion](https://emotion.sh/docs/introduction)
- [Vite](https://vitejs.dev/)
- [Vitest](https://vitest.dev/)
- [React Testing Library](https://testing-library.com/docs/react-testing-library/intro/)
- [ESLint](https://eslint.org/)
- [Prettier](https://prettier.io/)
- [Storybook](https://storybook.js.org/)
- [Husky](https://typicode.github.io/husky/#/)

<br />
<a id="how-to-use"></a>

## 🔥 How to Use

1. First step, clone this github repository:

```sh
  $ git clone https://github.com/dpisati/vite-react-typescript-mui-component-library.git
```

2. Run the application:

```sh
  # Install dependencies
  $ cd vite-react-typescript-mui-component-library
  $ npm install

  # Start Storybook
  $ npm run storybook
```

<br />
<a id="pre-commit"></a>

## 🧹 Pre-commit hook

[Husky](https://typicode.github.io/husky/#/) will be fired on every `commit`. It'll run the script `npm run tidy` which runs lint and prettier to format and check code standards. 👌
